from neuron import h, gui

s1 = h.Section(name="s1")
s2 = h.Section(name="s2")

for s in h.allsec():
  s.diam = 10
  s.L = 10/h.PI
  s.nseg = 1
  h.pas.insert(s)
  s(0.5).pas.e = 0
  h.psection(sec=s) # brief summary of properties

h.load_file("pytestrig.ses") # RunControl, PPM as IClamp,
  # and graph showing membrane potentials vs. time

h.load_file("gap.hoc") # linear resistive gap with default R = 1e3 megohms 

gap = h.Gap()
gap.V1_loc(0.5, sec=s1)
gap.V2_loc(0.5, sec=s2)
gap.install()

# next plot current flowing through the gap junction
# direction of positive current flow is from V1 to V2
# note: plotlist refers to the class instance name, i.e. Gap[0]
h.load_file("pyigap.ses")

print("click Init & Run to launch a simulation")
print("after a run, enter the following cmds at the >>> prompt")
print("gap.R *= 10")
print("gap.refill()")
print("h.run()")

